Bug 131450 - Fixing cells is ignored when scrolling
Summary: Fixing cells is ignored when scrolling
Status: UNCONFIRMED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: ARM Android
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2020-03-20 18:42 UTC by Stefan_Lange_KA@T-Online.de
Modified: 2022-05-04 03:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test document to show the beavior (35.12 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-03-20 18:42 UTC, Stefan_Lange_KA@T-Online.de
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan_Lange_KA@T-Online.de 2020-03-20 18:42:20 UTC
Created attachment 158839 [details]
Test document to show the beavior

In a sheet document with fixed cells (rows and/or columns) the fixed cells are rolled out at scrolling.
Comment 1 Stefan_Lange_KA@T-Online.de 2020-03-20 18:55:28 UTC
To show the problem:
- open the attached document "Test_ods_Android_Viewer.ods" with LibreOffice Viwer / the document contains fixed rows and columns on both sheets
- zoom in so that parts of the sheet are outside the display
- scroll down or to the right:
--> Result: Fixed rows and/or columns are rolled out from the display

tested with LibreOffice Viewer Build Id 20ed81fd42cf

That cells are fixed can be checked by open the document with LibreOffice e.g. on a Windows PC.
Comment 2 Stefan_Lange_KA@T-Online.de 2020-04-04 10:35:06 UTC
I don't know if "needsComment" is a to do for me, but I want to state more precisely the information related the fixed cells: In both sheets "fix rows/columns" is set on cell C4, means rows 1 until 3 and columns A + B should not be rolled out at scrolling.
Comment 3 Valentina Larina 2021-07-27 10:27:23 UTC
Hello.

Don't repro in Version: 7.1.5.2 / LibreOffice Community
Build ID: 85f04e9f809797b8199d13c421bd8a2b025d52b5
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Don't repro in Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 71477a3be1c64e5351894d9ef797feeee6b9eeeb
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-07-22_20:13:07
Calc: threaded
Comment 4 Stefan_Lange_KA@T-Online.de 2021-07-27 10:44:48 UTC
(In reply to Valentina Larina from comment #3)
> Hello.
> 
> Don't repro in Version: 7.1.5.2 / LibreOffice Community
> Build ID: 85f04e9f809797b8199d13c421bd8a2b025d52b5
> CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
> Locale: en-US (en_US.UTF-8); UI: en-US
> Calc: threaded
> 
> Don't repro in Version: 7.3.0.0.alpha0+ / LibreOffice Community
> Build ID: 71477a3be1c64e5351894d9ef797feeee6b9eeeb
> CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
> Locale: en-US (en_US.UTF-8); UI: en-US
> TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
> 2021-07-22_20:13:07
> Calc: threaded

The bug was reported for the LibreOffice Viewer on Android, not for the LibreOffice desktop program.
Comment 5 Valentina Larina 2021-07-27 11:25:42 UTC
(In reply to Stefan_Lange_KA@T-Online.de from comment #4)

> The bug was reported for the LibreOffice Viewer on Android, not for the
> LibreOffice desktop program.

Sorry
Comment 6 Xisco Faulí 2022-05-02 12:04:07 UTC
A new major release of LibreOffice is available since this bug was reported.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 7 Stefan_Lange_KA@T-Online.de 2022-05-03 14:22:05 UTC
I have tested with several ods documents with the recent build of LibreOffice Viewer:
Version: 7.4.0.0.alpha0+
Build ID: 0cc8da4

Result: The problem still exists!
Comment 8 QA Administrators 2022-05-04 03:51:00 UTC Comment hidden (obsolete)